# How To Calculate Reward For An Author

## Goal

Сalculate reward to author for a post in Golos application.

## Steps

To calculate total amount of reward for a post you can use the formula:

```
payout = reward_weight × funds × (sharesfn / rsharesfn)
```

* `payout` — total amount of reward for the post.
* `reward_weight` — a weight of reward for a post.
* `funds` — total number of tokens in the reward pool.
* `sharesfn` — a share of tokens that allocated in the rewards pool to be used for reward for the post (this parameter depends on a weight of the post).
* `rsharesfn` — number of tokens that allocated in the rewards pool to be be spent on reward for all posts (parameter depends on total weight of all posts).

To determine the amount of reward to author of the post it is recommended to use the formula:

```
author_reward = payout - curation_payout - ben_payout_sum.
```

* `curation_payout` — total amount of [fee to curators](https://docs.cyberway.io/devportal/application_contracts/golos_contracts/rewards_definition#salculating-the-amount-of-fees-to-curators-for-a-post) .
* `ben_payout_sum` — total amount of [payments to beneficiaries](https://docs.cyberway.io/devportal/application_contracts/golos_contracts/rewards_definition#salculating-the-rewards-to-beneficiaries-for-a-post) .

## Useful links

* [Determining Rewards for a Post](https://docs.cyberway.io/devportal/application_contracts/golos_contracts/rewards_definition)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cyberway.io/software_manuals/how_to_guides/calculate_reward_for_author.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
